curl --request GET \
--url https://api.alpha-1edtech.ai/ims/case/v1p1/CFPackages/{sourcedId}/groups \
--header 'Authorization: Bearer <token>'{
"CFPackageWithGroups": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"CFDocument": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>",
"creator": "<string>",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"CFPackageURI": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
},
"frameworkType": "<string>",
"caseVersion": "1.1",
"officialSourceURL": "<string>",
"publisher": "<string>",
"description": "<string>",
"subject": [
"<string>"
],
"subjectURI": [
{
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
}
],
"language": "<string>",
"version": "<string>",
"adoptionStatus": "<string>",
"statusStartDate": "2023-12-25",
"statusEndDate": "2023-12-25",
"licenseURI": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
},
"notes": "<string>",
"extensions": {}
},
"structuredContent": {}
}
}Returns a complete CASE package with groups for the specified sourcedId
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/case/v1p1/CFPackages/{sourcedId}/groups \
--header 'Authorization: Bearer <token>'{
"CFPackageWithGroups": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"CFDocument": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>",
"creator": "<string>",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"CFPackageURI": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
},
"frameworkType": "<string>",
"caseVersion": "1.1",
"officialSourceURL": "<string>",
"publisher": "<string>",
"description": "<string>",
"subject": [
"<string>"
],
"subjectURI": [
{
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
}
],
"language": "<string>",
"version": "<string>",
"adoptionStatus": "<string>",
"statusStartDate": "2023-12-25",
"statusEndDate": "2023-12-25",
"licenseURI": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"uri": "<string>"
},
"notes": "<string>",
"extensions": {}
},
"structuredContent": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the CASE Document
Comma-separated list of fields to include in the response
"sourcedId,name"
CASE Package with Groups
Represents a complete competency framework package with hierarchical groups organized by CFItemType. Each item contains childGroups organized by the CFItemType of children.
Show child attributes